--
-- Selected TOC Entries:
--
\connect - __USERNAME__

--
-- TOC Entry ID 1 (OID 0)
--
-- Name: __DBNAME__ Type: DATABASE Owner: __USERNAME__
--

CREATE DATABASE "__DBNAME__" WITH TEMPLATE = template0 ENCODING = 0;

\connect __DBNAME__ __USERNAME__

--
-- TOC Entry ID 2 (OID 16566)
--
-- Name: keywords_keyword_id_seq Type: SEQUENCE Owner: __USERNAME__
--

CREATE SEQUENCE "keywords_keyword_id_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 5 (OID 16568)
--
-- Name: keywords Type: TABLE Owner: __USERNAME__
--

CREATE TABLE "keywords" (
	"keyword_id" integer DEFAULT nextval('"keywords_keyword_id_seq"'::text) NOT NULL,
	"keyword" character varying(32),
	Constraint "keywords_pkey" Primary Key ("keyword_id")
);

--
-- TOC Entry ID 3 (OID 16571)
--
-- Name: paths_path_id_seq Type: SEQUENCE Owner: __USERNAME__
--

CREATE SEQUENCE "paths_path_id_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 6 (OID 16573)
--
-- Name: paths Type: TABLE Owner: __USERNAME__
--

CREATE TABLE "paths" (
	"path_id" integer DEFAULT nextval('"paths_path_id_seq"'::text) NOT NULL,
	"path" character varying(255),
	Constraint "paths_pkey" Primary Key ("path_id")
);

--
-- TOC Entry ID 4 (OID 16576)
--
-- Name: entries_id_seq Type: SEQUENCE Owner: __USERNAME__
--

CREATE SEQUENCE "entries_id_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 7 (OID 16578)
--
-- Name: entries Type: TABLE Owner: __USERNAME__
--

CREATE TABLE "entries" (
	"id" integer DEFAULT nextval('"entries_id_seq"'::text) NOT NULL,
	"keyword_id" integer,
	"path_id" integer,
	Constraint "entries_pkey" Primary Key ("id")
);

--
-- TOC Entry ID 12 (OID 16582)
--
-- Name: "RI_ConstraintTrigger_16581" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "entries"  FROM "keywords" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'entries', 'keywords', 'UNSPECIFIED', 'keyword_id', 'keyword_id');

--
-- TOC Entry ID 8 (OID 16584)
--
-- Name: "RI_ConstraintTrigger_16583" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "keywords"  FROM "entries" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'entries', 'keywords', 'UNSPECIFIED', 'keyword_id', 'keyword_id');

--
-- TOC Entry ID 9 (OID 16586)
--
-- Name: "RI_ConstraintTrigger_16585" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "keywords"  FROM "entries" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'entries', 'keywords', 'UNSPECIFIED', 'keyword_id', 'keyword_id');

--
-- TOC Entry ID 13 (OID 16588)
--
-- Name: "RI_ConstraintTrigger_16587" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "entries"  FROM "paths" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'entries', 'paths', 'UNSPECIFIED', 'path_id', 'path_id');

--
-- TOC Entry ID 10 (OID 16590)
--
-- Name: "RI_ConstraintTrigger_16589" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "paths"  FROM "entries" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'entries', 'paths', 'UNSPECIFIED', 'path_id', 'path_id');

--
-- TOC Entry ID 11 (OID 16592)
--
-- Name: "RI_ConstraintTrigger_16591" Type: TRIGGER Owner: __USERNAME__
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "paths"  FROM "entries" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'entries', 'paths', 'UNSPECIFIED', 'path_id', 'path_id');

